Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.controller.model
Class WorkloadContext

    java.lang.Object
      com.intel.cosbench.controller.model.WorkloadContext

All Implemented Interfaces:
  Benchmark, LifeCycle, WorkloadInfo

    public class WorkloadContext

extends java.lang.Object
implements WorkloadInfo

Constructor Summary
`WorkloadContext()`

Method Summary
`void` | `addListener(WorkloadListener listener)`
`void` | `disposeRuntime()`
`java.lang.String[]` | `getAllOperations()`
`XmlConfig` | `getConfig()`
`StageInfo` | `getCurrentStage()`
`java.util.concurrent.Future<?>` | `getFuture()`
`java.lang.String` | `getId()`
`Report` | `getReport()`
`Snapshot` | `getSnapshot()`
`int` | `getStageCount()`
`StageInfo` | `getStageInfo(java.lang.String id)`
`StageInfo[]` | `getStageInfos()`
`StageRegistry` | `getStageRegistry()`
`java.util.Date` | `getStartDate()`
`WorkloadState` | `getState()`
`StateInfo[]` | `getStateHistory()`
`java.util.Date` | `getStopDate()`
`java.util.Date` | `getSubmitDate()`
`Workload` | `getWorkload()`
`void` | `setConfig(XmlConfig config)`
`void` | `setCurrentStage(StageInfo currentStage)`
`void` | `setFuture(java.util.concurrent.Future<?> future)`
`void` | `setId(java.lang.String id)`
`void` | `setReport(Report report)`
`void` | `setStageRegistry(StageRegistry stageRegistry)`
`void` | `setStartDate(java.util.Date startDate)`
`void` | `setState(WorkloadState state)`
`void` | `setStopDate(java.util.Date stopDate)`
`void` | `setSubmitDate(java.util.Date submitDate)`
`void` | `setWorkload(Workload workload)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkloadContext

    public WorkloadContext()

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `WorkloadInfo`

### setId

    public void setId(java.lang.String id)

### getSubmitDate

    public java.util.Date getSubmitDate()

  Specified by:
    `getSubmitDate` in interface `WorkloadInfo`

### setSubmitDate

    public void setSubmitDate(java.util.Date submitDate)

### getStartDate

    public java.util.Date getStartDate()

  Specified by:
    `getStartDate` in interface `WorkloadInfo`

### setStartDate

    public void setStartDate(java.util.Date startDate)

### getStopDate

    public java.util.Date getStopDate()

  Specified by:
    `getStopDate` in interface `WorkloadInfo`

### setStopDate

    public void setStopDate(java.util.Date stopDate)

### getState

    public WorkloadState getState()

  Specified by:
    `getState` in interface `WorkloadInfo`

### setState

    public void setState(WorkloadState state)

### getStateHistory

    public StateInfo[] getStateHistory()

  Specified by:
    `getStateHistory` in interface `WorkloadInfo`

### getConfig

    public XmlConfig getConfig()

  Specified by:
    `getConfig` in interface `WorkloadInfo`

### setConfig

    public void setConfig(XmlConfig config)

### getFuture

    public java.util.concurrent.Future<?> getFuture()

### setFuture

    public void setFuture(java.util.concurrent.Future<?> future)

### getWorkload

    public Workload getWorkload()

  Specified by:
    `getWorkload` in interface `WorkloadInfo`

### setWorkload

    public void setWorkload(Workload workload)

### getAllOperations

    public java.lang.String[] getAllOperations()

  Specified by:
    `getAllOperations` in interface `WorkloadInfo`

### getCurrentStage

    public StageInfo getCurrentStage()

  Specified by:
    `getCurrentStage` in interface `WorkloadInfo`

### setCurrentStage

    public void setCurrentStage(StageInfo currentStage)

### getStageRegistry

    public StageRegistry getStageRegistry()

### getStageCount

    public int getStageCount()

  Specified by:
    `getStageCount` in interface `WorkloadInfo`

### getStageInfo

    public StageInfo getStageInfo(java.lang.String id)

  Specified by:
    `getStageInfo` in interface `WorkloadInfo`

### getStageInfos

    public StageInfo[] getStageInfos()

  Specified by:
    `getStageInfos` in interface `WorkloadInfo`

### setStageRegistry

    public void setStageRegistry(StageRegistry stageRegistry)

### getSnapshot

    public Snapshot getSnapshot()

  Specified by:
    `getSnapshot` in interface `Benchmark`

### getReport

    public Report getReport()

  Specified by:
    `getReport` in interface `Benchmark`

### setReport

    public void setReport(Report report)

### addListener

    public void addListener(WorkloadListener listener)

### disposeRuntime

    public void disposeRuntime()

  Specified by:
    `disposeRuntime` in interface `LifeCycle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD